import { world, system } from "@minecraft/server";
import { getScore } from "../utils";

system.runInterval(() => {
  for (const player of world.getPlayers()) {
    if (
      (getScore(player, "dbe:race") == 1 &&
        getScore(player, "dbe:form") == 1) ||
      getScore(player, "dbe:form") == 6
    ) {
      player.runCommandAsync(
        "execute as @s at @s anchored eyes run camera @s set minecraft:free ease 0.2 linear pos ^ ^0.9 ^-5.5 rot ~ ~"
      );
    } else if (
      (getScore(player, "dbe:race") == 1 &&
        getScore(player, "dbe:form") != 1) ||
      getScore(player, "dbe:form") != 6
    ) {
      player.runCommandAsync("camera @s clear");
    }
  }
}, 0.01);
