import { world, system } from "@minecraft/server";
import { getScore } from "../utils";

system.runInterval(() => {
  world.getPlayers().forEach((player) => {
    player.runCommandAsync(
      `event entity @e[type=dbe:shadow_dummy] dbe:health_${getScore(
        player,
        "dbe:statscon"
      )}`
    );
    player.runCommandAsync(
      `event entity @e[type=dbe:shadow_dummy] dbe:damage_${getScore(
        player,
        "dbe:statsstr"
      )}`
    );
    player.triggerEvent(`dbe:health_${getScore(player, "dbe:statscon")}`);
    player.triggerEvent(`dbe:damage_${getScore(player, "dbe:statsstr")}`);
  });
}, 0.25);
